Bug 66832 - kyocera fs680 prints PCL commands on some pages, not others
kyocera fs680 prints PCL commands on some pages, not others
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-17 11:57 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:05:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/alchemist/namespace/printconf/local.adl as requested by twaugh@redhat.com (527 bytes, application/octet-stream)
2002-06-17 20:01 EDT, Need Real Name
no flags Details
smb.conf file (1.06 KB, text/plain)
2002-06-19 10:07 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-06-17 11:57:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020313

Description of problem:
My Kyocera printer broke on the upgrade from rh7.0 to rh7.3.
The break is subtle -test pages print ok, linux applications print ok. Most MS
apps print ok over samba (samba works beautifully in all other respects). MS
Access 97 reports sometimes work and sometimes dont. When they fail, they
produce output similar to the following:

!R!SEM6; [untypable Y umlaut char]%-12345X@PJL SET ECOPRINT=OFF
@PJL COMMENT KYOCERA GPC 3.174
@PJL SET PAGEPROTECT+OFF
@PJL SET IMAGEADAPT=ON
@PJL SET RESOLUTION=600
@PJL ENTER LANGUAGE = PCL

followed by a whole slew of unprintable characters


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.open access

2.print report

3. curse and restart lpd; powercycle printer; hawk, spit and invoke the name of
redhat


	

Actual Results:  as above

Expected Results:  should have printed a letter with fields from an access db.
Works fine when the kyocera printer is locally attached (lpt1)

Additional info:
Comment 1 Tim Waugh 2002-06-17 12:03:13 EDT
Please attach /etc/alchemist/namespace/printconf/local.adl.  Thanks.
Comment 2 Need Real Name 2002-06-17 20:01:19 EDT
Created attachment 61326 [details]
/etc/alchemist/namespace/printconf/local.adl  as requested by  twaugh@redhat.com
Comment 3 Tim Waugh 2002-06-18 06:39:15 EDT
Is this printer connected to the parallel port?  If so, what does  
  cat /proc/sys/dev/parport/*/autoprobe*  
say?  
  
I suspect that this printer doesn't have PJL capability at all when the  
foomatic database thinks that it does.  It's a FS-680?  
  
Could you please try editing /usr/share/foomatic/db/source/printer/311113.xml 
and removing the line that says: 
    <pjl/> 
Then try removing and re-adding the print queue in printconf-gui. 
 
Thanks.
Comment 4 Need Real Name 2002-06-18 08:57:24 EDT
cat /proc/sys/dev/parport/*/autoprobe* says:
CLASS:PRINTER;
MODEL:FS-680;
MANUFACTURER:Kyocera;
DESCRIPTION:Kyocera FS-680;
COMMAND SET:PCL5E,PJL;


removing the reference to <pjl/> makes no difference, nor does taking out the
PJL from <commandset>PCL5E,PJL</commandset>. Print queue removed and re-added ok.
Comment 5 Tim Waugh 2002-06-18 09:11:33 EDT
No difference at all?  You still get PJL stuff even when the <pjl/> line has 
been entirely removed? 
 
On the client side, are you printing to a PostScript printer? (If not, do.)
Comment 6 Need Real Name 2002-06-18 10:34:54 EDT
There are small changes, (1st line 1st page reads %!PS-Adobe2.0
                                                      %%DocumentFonts: Courier
Times-Bold
0 768 moveto (@PJL COMMENT KYOCERA GPC 3.174) show

but yes, I still am getting PJL stuff.

When I take your second suggestion and choose a postscript printer in win 98,
(HP laserjet 4M postscript - there is no generic postscript and that is the
closest I can find) I get a whole lot of postscript commands, but no proper
printing. Gaaah. !
Comment 7 Tim Waugh 2002-06-19 05:55:12 EDT
This: "0 768 moveto (@PJL COMMENT KYOCERA GPC 3.174) show" tells me that the  
PJL command is being generated on the other machine, not on the Red Hat Linux  
machine.  It looks for all the world like the client is saying 'print this as  
text', and the server is rendering it as PostScript.  
  
Client-side bug of some sort. 
 
Please attach your /etc/smb.conf; also, which share are you printing to?
Comment 8 Need Real Name 2002-06-19 10:07:59 EDT
Created attachment 61584 [details]
smb.conf file
Comment 9 Need Real Name 2002-06-19 10:13:07 EDT
I am printing to the lp printer. The wacky thing is that this used to work well
for these types of reports. I am not trying to get something new to work,
something has broken, around the time of the upgrade from rh7.0->7.3 upgrade.
Weird huh !. and why do some Access reports print and others fail to.
Comment 10 Tim Waugh 2002-06-19 10:52:56 EDT
Bizarre.  What happens if you downgrade to the version of LPRng that came with 
Red Hat Linux 7.0?  'rpm -Uvh --oldpackage LPRng-...'
Comment 11 Need Real Name 2002-06-19 11:27:54 EDT
 rpm -Uvh --nodeps --oldpackage /mnt/cdrom/RedHat/RPMS/LPRng-3.6.24-2.i386.rpm

Very Strange. That doesn't work either for this Access report. I get a page that
is different to the others - it starts %!PS-Adobe-2.0 - this is from the win98
to the remote linux printer. I restarted lpd after making the changes, and put
back the original xml definitions (after trying them with our mods). This is so
frustrating ...
Comment 12 Tim Waugh 2002-06-20 06:13:30 EDT
Is there any way you can set up a (for example) Red Hat Linux 7.2 system to 
test with, so that we can narrow down the problem a bit further?  The printing 
system changed quite a lot between 7.0 and 7.3.
Comment 13 Need Real Name 2002-07-06 12:03:22 EDT
Not really. 
I really am stuck with 7.3. (BTW) I find that some word docs also produce the
same result. We are looking at migrating the print services to one of the
windows boxes, as this is just hurting us too much.I have spent my 3 days
playing with it and it is now time to move on. If it can't be done with 7.3, it
is not going to get done I am afraid, as this box is our internal development
box, and pulling it down is too expensive.
Comment 14 Bill Nottingham 2006-08-04 23:20:12 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 15 Bill Nottingham 2006-10-18 12:05:50 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.